Subject: Re: bug#33729: 27.0.50; Partial glyphs not rendered for Gujarati with Harfbuzz enabled (renders fine using m17n)

From: Khaled Hosny <[email-masked]>
Date: Sat, 22 Dec 2018 22:59:48 +0200

On Sat, Dec 22, 2018 at 09:38:43PM +0200, Eli Zaretskii wrote:
> > Date: Sat, 22 Dec 2018 17:49:45 +0200
> > From: Khaled Hosny <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked],
> > 	[email-masked], [email-masked]
> > 
> > Yes, the standard Unicode composition and decomposition. HarfBuzz uses
> > these during shaping (it prefers composed form for a given sequence if
> > supported by the font, and falls back to decomposed form otherwise).
> 
> Btw, how is this problem solved in the other projects that use
> Harfuzz?  Does every project need to provide this functionality, or
> does Harfuzz have it built-in, like with the script tags?  If there's
> built-in support for this, perhaps Emacs could just use that?

There is built-in support, and currently we are using that. I can just
remove the FIXME.